#Imports
import minetweaker.item.IItemStack;
import minetweaker.data.IData;
import mods.agricraft.SeedMutation;
import mods.agricraft.growing.Soil;
import mods.agricraft.growing.FertileSoils;
import mods.agricraft.growing.BaseBlock;
import mods.agricraft.CropProduct;

#Values
	#Magical Crops
	val Minicio = <magicalcrops:1MinicioEssence>;
	val Accio = <magicalcrops:2AccioEssence>;
	val Crucio = <magicalcrops:3CrucioEssence>;
	val Imperio = <magicalcrops:4ImperioEssence>;
	val Zivicio = <magicalcrops:5ZivicioEssence>;
	val CoalSeeds = <magicalcrops:CoalSeeds>;
	val DyeSeeds = <magicalcrops:DyeSeeds>;
	val EarthSeeds = <magicalcrops:EarthSeeds>;
	val FireSeeds = <magicalcrops:FireSeeds>;
	val MinicioSeeds = <magicalcrops:MinicioSeeds>;
	val NatureSeeds = <magicalcrops:NatureSeeds>;
	val WaterSeeds = <magicalcrops:WaterSeeds>;
	val RedstoneSeeds = <magicalcrops:RedstoneSeeds>;
	val GlowstoneSeeds = <magicalcrops:GlowstoneSeeds>;
	val ObsidianSeeds = <magicalcrops:ObsidianSeeds>;
	val NetherSeeds = <magicalcrops:NetherSeeds>;
	val IronSeeds = <magicalcrops:IronSeeds>;
	val GoldSeeds = <magicalcrops:GoldSeeds>;
	val LapisSeeds = <magicalcrops:LapisSeeds>;
	val ExperienceSeeds = <magicalcrops:ExperienceSeeds>;
	val DiamondSeeds = <magicalcrops:DiamondSeeds>;   
	val EmeraldSeeds = <magicalcrops:EmeraldSeeds>;
	val BlazeSeeds = <magicalcrops:BlazeSeeds>;
	val CreeperSeeds = <magicalcrops:CreeperSeeds>;
	val EndermanSeeds = <magicalcrops:EndermanSeeds>;
	val PigSeeds = <magicalcrops:PigSeeds>;
	val PigEssence = <magicalcrops:PigEssence>;
	val SheepEssence = <magicalcrops:SheepEssence>;
	val SheepSeeds = <magicalcrops:SheepSeeds>;
	val CowSeeds = <magicalcrops:CowSeeds>;
	val CowEssence = <magicalcrops:CowSeeds>;
	val GhastSeeds = <magicalcrops:GhastSeeds>;
	val SkeletonSeeds = <magicalcrops:SkeletonSeeds>;
	val SlimeSeeds = <magicalcrops:SlimeSeeds>;
	val SpiderSeeds = <magicalcrops:SpiderSeeds>;
	val WitherSeeds = <magicalcrops:WitherSeeds>;
	val ChickenSeeds = <magicalcrops:ChickenSeeds>;
	val ChickenEssence = <magicalcrops:ChickenEssence>;
	val LapisEssence = <magicalcrops:LapisSeeds>;
	val RedstoneEssence = <magicalcrops:RedstoneEssence>;
	val DiamondEssence = <magicalcrops:DiamondEssence>;
	val QuartzSeeds = <magicalcrops:QuartzSeeds>;
	val PlatinumSeeds = <magicalcrops:PlatinumSeeds>;
	val PeridotSeeds = <magicalcrops:PeridotSeeds>;
	val RubySeeds = <magicalcrops:RubySeeds>;
	val SapphireSeeds = <magicalcrops:SapphireSeeds>;
	val DraconiumSeeds = <magicalcrops:DraconiumSeeds>;
	val QuicksilverSeeds = <magicalcrops:QuicksilverSeeds>;
	val AmberSeeds = <magicalcrops:AmberSeeds>;
	val ThaumiumSeeds = <magicalcrops:ThaumiumSeeds>;
	val TerrasteelSeeds = <magicalcrops:TerrasteelSeeds>;
	val SaltpeterSeeds = <magicalcrops:SaltpeterSeeds>;
	val ManasteelSeeds = <magicalcrops:ManasteelSeeds>;
	val FluixSeeds = <magicalcrops:FluixSeeds>;
	val BlizzSeeds = <magicalcrops:BlizzSeeds>;
	val SulfurSeeds = <magicalcrops:SulfurSeeds>;
	val RubberSeeds = <magicalcrops:RubberSeeds>;
	val AluminiumSeeds = <magicalcrops:AluminiumSeeds>;
	val SteelSeeds = <magicalcrops:SteelSeeds>;
	val AirshardSeeds = <magicalcrops:AirshardSeeds>;
	val WatershardSeeds = <magicalcrops:WatershardSeeds>;
	val FireshardSeeds = <magicalcrops:FireshardSeeds>;
	val EarthshardSeeds = <magicalcrops:EarthshardSeeds>;
	val EntropyshardSeeds = <magicalcrops:EntropyshardSeeds>;
	val OrdershardSeeds = <magicalcrops:OrdershardSeeds>;

	#Thermal Expansion
	val TinSeeds = <magicalcrops:TinSeeds>;
	val CopperSeeds = <magicalcrops:CopperSeeds>;
	val SilverSeeds = <magicalcrops:SilverSeeds>;
	val FerrousSeeds = <magicalcrops:NickelSeeds>;
	val LeadSeeds = <magicalcrops:LeadSeeds>;
	val FerrousEssence = <magicalcrops:NickelEssence>;

	#Tinkers Construct
	val CobaltSeeds = <magicalcrops:CobaltSeeds>;
	val ArditeSeeds = <magicalcrops:ArditeSeeds>;

	#AE2
	val CertusQuartzSeed = <magicalcrops:CertusQuartzSeeds>;
	val CertusQuartzEssence = <magicalcrops:CertusQuartzEssence>;
	
	#Agricraft
	val seedWheat = <minecraft:wheat_seeds>;
	val seedCarrot = <AgriCraft:seedCarrot>;
	val seedPotato = <AgriCraft:seedPotato>;

#Rename
seedWheat.displayName = "Wheat Seeds";
FerrousSeeds.displayName = "Ferrous Seeds";
FerrousEssence.displayName = "Ferrous Essence";

#Remove
recipes.remove(CoalSeeds);
recipes.remove(CertusQuartzSeed);
recipes.remove(IronSeeds);
recipes.remove(RedstoneSeeds);
recipes.remove(GoldSeeds);
recipes.remove(DiamondSeeds);
recipes.remove(EmeraldSeeds);
recipes.remove(TinSeeds);
recipes.remove(CopperSeeds);
recipes.remove(SilverSeeds);
recipes.remove(LeadSeeds);
recipes.remove(FerrousSeeds);
recipes.remove(CobaltSeeds);
recipes.remove(ArditeSeeds);       

#Mutations
//Coal Seeds
SeedMutation.add(CoalSeeds, MinicioSeeds, seedPotato);

//Dye Seeds
SeedMutation.add(<magicalcrops:DyeSeeds>, <magicalcrops:CoalSeeds>, <magicalcrops:AirSeeds>);

//Certus Quartz Seeds
SeedMutation.add(CertusQuartzSeed, CoalSeeds, QuartzSeeds);

//Quartz Seeds
SeedMutation.add(QuartzSeeds, CoalSeeds, seedCarrot);

//Nature Seeds
SeedMutation.add(<magicalcrops:NatureSeeds>, <magicalcrops:WaterSeeds>, <magicalcrops:EarthSeeds>);

//Fire Seeds
SeedMutation.add(<magicalcrops:FireSeeds>, <magicalcrops:AirSeeds>, <magicalcrops:CoalSeeds>);

//Earth Seeds
SeedMutation.add(<magicalcrops:EarthSeeds>, <magicalcrops:CoalSeeds>, <harvestcraft:turnipseedItem>);

//Iron Seeds
SeedMutation.add(IronSeeds, CoalSeeds, QuartzSeeds);

//Water Seeds
SeedMutation.add(<magicalcrops:WaterSeeds>, <magicalcrops:NatureSeeds>, <harvestcraft:waterchestnutseedItem>);

//Air Seeds
SeedMutation.add(<magicalcrops:AirSeeds>, <magicalcrops:CoalSeeds>, <harvestcraft:celeryseedItem>);

//Lapis Seeds
SeedMutation.add(LapisSeeds, CertusQuartzSeed, IronSeeds);

//Redstone Seeds
SeedMutation.add(RedstoneSeeds, LapisSeeds, IronSeeds);

//Gold Seeds
SeedMutation.add(GoldSeeds, RedstoneSeeds, LapisSeeds);

//Diamond Seeds
SeedMutation.add(DiamondSeeds, GoldSeeds, RedstoneSeeds);

//Emerald Seeds
SeedMutation.add(EmeraldSeeds, DiamondSeeds, GoldSeeds);

//Tin Seeds
SeedMutation.add(TinSeeds, IronSeeds, CoalSeeds);

//Copper Seeds
SeedMutation.add(CopperSeeds, TinSeeds,CoalSeeds);

//Silver Seeds
SeedMutation.add (SilverSeeds, GoldSeeds, CoalSeeds);

//Lead Seeds
SeedMutation.add (LeadSeeds, IronSeeds, LapisSeeds);

//Ferrous Seeds
SeedMutation.add (FerrousSeeds, GoldSeeds, QuartzSeeds);

//Cobalt Seeds
SeedMutation.add (CobaltSeeds, EmeraldSeeds, CopperSeeds);

//Ardite Seeds
SeedMutation.add (ArditeSeeds, EmeraldSeeds, DiamondSeeds);