#Imports
import minetweaker.item.IItemStack;
import minetweaker.data.IData;
import mods.agricraft.SeedMutation;
import mods.agricraft.growing.Soil;
import mods.agricraft.growing.FertileSoils;
import mods.agricraft.growing.BaseBlock;
import mods.agricraft.CropProduct;

#Values
	#Magical Crops
	val Minicio = <magicalcrops:1MinicioEssence>;
	val Accio = <magicalcrops:2AccioEssence>;
	val Crucio = <magicalcrops:3CrucioEssence>;
	val Imperio = <magicalcrops:4ImperioEssence>;
	val Zivicio = <magicalcrops:5ZivicioEssence>;
	val CoalSeeds = <magicalcrops:CoalSeeds>;
	val DyeSeeds = <magicalcrops:DyeSeeds>;
	val EarthSeeds = <magicalcrops:EarthSeeds>;
	val FireSeeds = <magicalcrops:FireSeeds>;
	val MinicioSeeds = <magicalcrops:MinicioSeeds>;
	val NatureSeeds = <magicalcrops:NatureSeeds>;
	val WaterSeeds = <magicalcrops:WaterSeeds>;
	val RedstoneSeeds = <magicalcrops:RedstoneSeeds>;
	val GlowstoneSeeds = <magicalcrops:GlowstoneSeeds>;
	val ObsidianSeeds = <magicalcrops:ObsidianSeeds>;
	val NetherSeeds = <magicalcrops:NetherSeeds>;
	val IronSeeds = <magicalcrops:IronSeeds>;
	val GoldSeeds = <magicalcrops:GoldSeeds>;
	val LapisSeeds = <magicalcrops:LapisSeeds>;
	val ExperienceSeeds = <magicalcrops:ExperienceSeeds>;
	val DiamondSeeds = <magicalcrops:DiamondSeeds>;   
	val EmeraldSeeds = <magicalcrops:EmeraldSeeds>;
	val BlazeSeeds = <magicalcrops:BlazeSeeds>;
	val CreeperSeeds = <magicalcrops:CreeperSeeds>;
	val EndermanSeeds = <magicalcrops:EndermanSeeds>;
	val PigSeeds = <magicalcrops:PigSeeds>;
	val PigEssence = <magicalcrops:PigEssence>;
	val SheepEssence = <magicalcrops:SheepEssence>;
	val SheepSeeds = <magicalcrops:SheepSeeds>;
	val CowSeeds = <magicalcrops:CowSeeds>;
	val CowEssence = <magicalcrops:CowSeeds>;
	val GhastSeeds = <magicalcrops:GhastSeeds>;
	val SkeletonSeeds = <magicalcrops:SkeletonSeeds>;
	val SlimeSeeds = <magicalcrops:SlimeSeeds>;
	val SpiderSeeds = <magicalcrops:SpiderSeeds>;
	val WitherSeeds = <magicalcrops:WitherSeeds>;
	val ChickenSeeds = <magicalcrops:ChickenSeeds>;
	val ChickenEssence = <magicalcrops:ChickenEssence>;
	val LapisEssence = <magicalcrops:LapisSeeds>;
	val RedstoneEssence = <magicalcrops:RedstoneEssence>;
	val DiamondEssence = <magicalcrops:DiamondEssence>;
	val QuartzSeeds = <magicalcrops:QuartzSeeds>;
	val PlatinumSeeds = <magicalcrops:PlatinumSeeds>;
	val PeridotSeeds = <magicalcrops:PeridotSeeds>;
	val RubySeeds = <magicalcrops:RubySeeds>;
	val SapphireSeeds = <magicalcrops:SapphireSeeds>;
	val DraconiumSeeds = <magicalcrops:DraconiumSeeds>;
	val QuicksilverSeeds = <magicalcrops:QuicksilverSeeds>;
	val AmberSeeds = <magicalcrops:AmberSeeds>;
	val ThaumiumSeeds = <magicalcrops:ThaumiumSeeds>;
	val TerrasteelSeeds = <magicalcrops:TerrasteelSeeds>;
	val SaltpeterSeeds = <magicalcrops:SaltpeterSeeds>;
	val ManasteelSeeds = <magicalcrops:ManasteelSeeds>;
	val FluixSeeds = <magicalcrops:FluixSeeds>;
	val BlizzSeeds = <magicalcrops:BlizzSeeds>;
	val SulfurSeeds = <magicalcrops:SulfurSeeds>;
	val RubberSeeds = <magicalcrops:RubberSeeds>;
	val AluminiumSeeds = <magicalcrops:AluminiumSeeds>;
	val SteelSeeds = <magicalcrops:SteelSeeds>;
	val AirshardSeeds = <magicalcrops:AirshardSeeds>;
	val WatershardSeeds = <magicalcrops:WatershardSeeds>;
	val FireshardSeeds = <magicalcrops:FireshardSeeds>;
	val EarthshardSeeds = <magicalcrops:EarthshardSeeds>;
	val EntropyshardSeeds = <magicalcrops:EntropyshardSeeds>;
	val OrdershardSeeds = <magicalcrops:OrdershardSeeds>;

	#Thermal Expansion
	val TinSeeds = <magicalcrops:TinSeeds>;
	val CopperSeeds = <magicalcrops:CopperSeeds>;
	val SilverSeeds = <magicalcrops:SilverSeeds>;
	val FerrousSeeds = <magicalcrops:NickelSeeds>;
	val LeadSeeds = <magicalcrops:LeadSeeds>;
	val FerrousEssence = <magicalcrops:NickelEssence>;

	#Tinkers Construct
	val CobaltSeeds = <magicalcrops:CobaltSeeds>;
	val ArditeSeeds = <magicalcrops:ArditeSeeds>;

	#AE2
	val CertusQuartzSeed = <magicalcrops:CertusQuartzSeeds>;
	val CertusQuartzEssence = <magicalcrops:CertusQuartzEssence>;
	
	#Agricraft
	val seedWheat = <minecraft:wheat_seeds>;
	val seedCarrot = <AgriCraft:seedCarrot>;
	val seedPotato = <AgriCraft:seedPotato>;

//Coal Seeds
recipes.addShaped(<magicalcrops:CoalSeeds>, [[<minecraft:coal_block>, <magicalcrops:1MinicioEssence>, <Botania:rune:1>], [<magicalcrops:1MinicioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:1MinicioEssence>], [<Botania:rune:1>, <magicalcrops:1MinicioEssence>, <minecraft:coal_block>]]);

//PlatinumSeeds
recipes.addShaped(<magicalcrops:PlatinumSeeds>, [[<ore:blockPlatinum>, <magicalcrops:5ZivicioEssence>, <Botania:rune:4>], [<magicalcrops:5ZivicioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:5ZivicioEssence>], [<Botania:rune:4>, <magicalcrops:5ZivicioEssence>, <ore:blockPlatinum>]]);

//ElectricalSteelSeeds
recipes.addShaped(<magicalcrops:ElectricalSteelSeeds>, [[<EnderIO:blockIngotStorage>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <EnderIO:blockIngotStorage>]]);

//PeridotSeeds
recipes.addShaped(<magicalcrops:PeridotSeeds>, [[<ore:blockPeridot>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <ore:blockPeridot>]]);

//EndermanSeeds
recipes.addShaped(<magicalcrops:EndermanSeeds>, [[<ore:pearlEnder>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <ore:pearlEnder>]]);

//RubySeeds
recipes.addShaped(<magicalcrops:RubySeeds>, [[<ore:blockRuby>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <ore:blockRuby>]]);

//SapphireSeeds
recipes.addShaped(<magicalcrops:SapphireSeeds>, [[<ore:blockSapphire>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <ore:blockSapphire>]]);

//DraconiumSeeds
recipes.addShaped(<magicalcrops:DraconiumSeeds>, [[<DraconicEvolution:draconium>, <magicalcrops:5ZivicioEssence>, <Botania:rune:14>], [<magicalcrops:5ZivicioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:5ZivicioEssence>], [<Botania:rune:14>, <magicalcrops:5ZivicioEssence>, <DraconicEvolution:draconium>]]);

//QuicksilverSeeds
recipes.addShaped(<magicalcrops:QuicksilverSeeds>, [[<ore:quicksilver>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <ore:quicksilver>]]);

//AmberSeeds
recipes.addShaped(<magicalcrops:AmberSeeds>, [[<Thaumcraft:blockCosmeticOpaque>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <Thaumcraft:blockCosmeticOpaque>]]);

//ThaumiumSeeds
recipes.addShaped(<magicalcrops:ThaumiumSeeds>, [[<Thaumcraft:blockCosmeticSolid:4>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <Thaumcraft:blockCosmeticSolid:4>]]);

//TerrasteelSeeds
recipes.addShaped(<magicalcrops:TerrasteelSeeds>, [[<Botania:storage:1>, <magicalcrops:5ZivicioEssence>, <Botania:rune:4>], [<magicalcrops:5ZivicioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:5ZivicioEssence>], [<Botania:rune:4>, <magicalcrops:5ZivicioEssence>, <Botania:storage:1>]]);

//SaltpeterSeeds
recipes.addShaped(<magicalcrops:SaltpeterSeeds>, [[<ore:blockSaltpeter>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <ore:blockSaltpeter>]]);

//ManasteelSeeds
recipes.addShaped(<magicalcrops:ManasteelSeeds>, [[<Botania:storage>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <Botania:storage>]]);

//FluixSeeds
recipes.addShaped(<magicalcrops:FluixSeeds>, [[<appliedenergistics2:tile.BlockFluix>, <magicalcrops:5ZivicioEssence>, <Botania:rune:4>], [<magicalcrops:5ZivicioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:5ZivicioEssence>], [<Botania:rune:4>, <magicalcrops:5ZivicioEssence>, <appliedenergistics2:tile.BlockFluix>]]);

//BlizzSeeds
recipes.addShaped(<magicalcrops:BlizzSeeds>, [[<ore:rodBlizz>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <ore:rodBlizz>]]);

//SulfurSeeds
recipes.addShaped(<magicalcrops:SulfurSeeds>, [[<ore:blockSulfur>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <ore:blockSulfur>]]);

//RubberSeeds
recipes.addShaped(<magicalcrops:RubberSeeds>, [[<MineFactoryReloaded:rubber.raw>, <magicalcrops:2AccioEssence>, <Botania:rune:4>], [<magicalcrops:2AccioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:2AccioEssence>], [<Botania:rune:4>, <magicalcrops:2AccioEssence>, <MineFactoryReloaded:rubber.raw>]]);

//AluminiumSeeds
recipes.addShaped(<magicalcrops:AluminiumSeeds>, [[<ore:blockAluminum>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <ore:blockAluminum>]]);

//PigSeeds
recipes.addShaped(<magicalcrops:PigSeeds>, [[<minecraft:porkchop>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <minecraft:porkchop>]]);

//SheepSeeds
recipes.addShaped(<magicalcrops:SheepSeeds>, [[<ore:blockWool>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <ore:blockWool>]]);

//CowSeeds
recipes.addShaped(<magicalcrops:CowSeeds>, [[<harvestcraft:hardenedleatherItem>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <harvestcraft:hardenedleatherItem>]]);

//ChickenSeeds
recipes.addShaped(<magicalcrops:ChickenSeeds>, [[<minecraft:egg>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <minecraft:egg>]]);

//WitherSeeds
recipes.addShaped(<magicalcrops:WitherSeeds>, [[<minecraft:skull:1>, <magicalcrops:5ZivicioEssence>, <Botania:rune:4>], [<magicalcrops:5ZivicioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:5ZivicioEssence>], [<Botania:rune:4>, <magicalcrops:5ZivicioEssence>, <minecraft:skull:1>]]);

//SpiderSeeds
recipes.addShaped(<magicalcrops:SpiderSeeds>, [[<minecraft:web>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <minecraft:web>]]);

//SlimeSeeds
recipes.addShaped(<magicalcrops:SlimeSeeds>, [[<ore:slimeball>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <ore:slimeball>]]);

//SkeletonSeeds
recipes.addShaped(<magicalcrops:SkeletonSeeds>, [[<BiomesOPlenty:bones:2>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <BiomesOPlenty:bones:2>]]);

//GhastSeeds
recipes.addShaped(<magicalcrops:GhastSeeds>, [[<ore:itemGhastTear>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <ore:itemGhastTear>]]);

//CreeperSeeds
recipes.addShaped(<magicalcrops:CreeperSeeds>, [[<ore:tnt>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <ore:tnt>]]);

//BlazeSeeds
recipes.addShaped(<magicalcrops:BlazeSeeds>, [[<ore:blockBlaze>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <ore:blockBlaze>]]);

//ExperienceSeeds
recipes.addShaped(<magicalcrops:ExperienceSeeds>, [[<minecraft:experience_bottle>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <minecraft:experience_bottle>]]);

//NetherSeeds
recipes.addShaped(<magicalcrops:NetherSeeds>, [[<ore:netherMaterial>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <ore:netherMaterial>]]);

//ObsidianSeeds
recipes.addShaped(<magicalcrops:ObsidianSeeds>, [[<ore:blockObsidian>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <ore:blockObsidian>]]);

//GlowstoneSeeds
recipes.addShaped(<magicalcrops:GlowstoneSeeds>, [[<ore:glowstone>, <magicalcrops:3CrucioEssence>, <Botania:rune:4>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:4>, <magicalcrops:3CrucioEssence>, <ore:glowstone>]]);

//WaterSeeds
recipes.addShaped(<magicalcrops:WaterSeeds>, [[<minecraft:water_bucket>, <magicalcrops:2AccioEssence>, <Botania:rune>], [<magicalcrops:2AccioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:2AccioEssence>], [<Botania:rune>, <magicalcrops:2AccioEssence>, <minecraft:water_bucket>]]);

//NatureSeeds
recipes.addShaped(<magicalcrops:NatureSeeds>, [[<ore:natureMaterial>, <magicalcrops:2AccioEssence>, <Botania:rune:2>], [<magicalcrops:2AccioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:2AccioEssence>], [<Botania:rune:2>, <magicalcrops:2AccioEssence>, <ore:natureMaterial>]]);

//FireSeeds
recipes.addShaped(<magicalcrops:FireSeeds>, [[<minecraft:lava_bucket>, <magicalcrops:2AccioEssence>, <Botania:rune:1>], [<magicalcrops:2AccioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:2AccioEssence>], [<Botania:rune:1>, <magicalcrops:2AccioEssence>, <minecraft:lava_bucket>]]);

//EarthSeeds
recipes.addShaped(<magicalcrops:EarthSeeds>, [[<ore:dirt>, <magicalcrops:2AccioEssence>, <Botania:rune:2>], [<magicalcrops:2AccioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:2AccioEssence>], [<Botania:rune:2>, <magicalcrops:2AccioEssence>, <ore:dirt>]]);

//DyeSeeds
recipes.addShaped(<magicalcrops:DyeSeeds>, [[<ore:dye>, <magicalcrops:2AccioEssence>, <Botania:rune:4>], [<magicalcrops:2AccioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:2AccioEssence>], [<Botania:rune:4>, <magicalcrops:2AccioEssence>, <ore:dye>]]);

//AirSeeds
recipes.addShaped(<magicalcrops:AirSeeds>, [[<minecraft:glass_bottle>, <magicalcrops:2AccioEssence>, <Botania:rune:3>], [<magicalcrops:2AccioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:2AccioEssence>], [<Botania:rune:3>, <magicalcrops:2AccioEssence>, <minecraft:glass_bottle>]]);

//SteelSeeds
recipes.addShaped(<magicalcrops:SteelSeeds>, [[<ore:blockSteel>, <magicalcrops:4ImperioEssence>, <Botania:rune:4>], [<magicalcrops:4ImperioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:4ImperioEssence>], [<Botania:rune:4>, <magicalcrops:4ImperioEssence>, <ore:blockSteel>]]);

//MinicioSeeds
recipes.addShaped(<magicalcrops:MinicioSeeds>, [[<magicalcrops:1MinicioEssence>, <magicalcrops:1MinicioEssence>, <magicalcrops:1MinicioEssence>], [<magicalcrops:1MinicioEssence>, <ore:listAllseed>, <magicalcrops:1MinicioEssence>], [<magicalcrops:1MinicioEssence>, <magicalcrops:1MinicioEssence>, <magicalcrops:1MinicioEssence>]]);

//AirshardSeeds
recipes.addShaped(<magicalcrops:AirshardSeeds>, [[<Thaumcraft:ItemShard>, <magicalcrops:3CrucioEssence>, <Botania:rune:3>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:3>, <magicalcrops:3CrucioEssence>, <Thaumcraft:ItemShard>]]);

//WatershardSeeds
recipes.addShaped(<magicalcrops:WatershardSeeds>, [[<Thaumcraft:ItemShard:2>, <magicalcrops:3CrucioEssence>, <Botania:rune>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune>, <magicalcrops:3CrucioEssence>, <Thaumcraft:ItemShard:2>]]);

//FireshardSeeds
recipes.addShaped(<magicalcrops:FireshardSeeds>, [[<Thaumcraft:ItemShard:1>, <magicalcrops:3CrucioEssence>, <Botania:rune:1>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:1>, <magicalcrops:3CrucioEssence>, <Thaumcraft:ItemShard:1>]]);

//EarthshardSeeds
recipes.addShaped(<magicalcrops:EarthshardSeeds>, [[<Thaumcraft:ItemShard:3>, <magicalcrops:3CrucioEssence>, <Botania:rune:2>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:2>, <magicalcrops:3CrucioEssence>, <Thaumcraft:ItemShard:3>]]);

//EntropyshardSeeds
recipes.addShaped(<magicalcrops:EntropyshardSeeds>, [[<Thaumcraft:ItemShard:5>, <magicalcrops:3CrucioEssence>, <Botania:rune:8>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:8>, <magicalcrops:3CrucioEssence>, <Thaumcraft:ItemShard:5>]]);

//OrdershardSeeds
recipes.addShaped(<magicalcrops:OrdershardSeeds>, [[<Thaumcraft:ItemShard:4>, <magicalcrops:3CrucioEssence>, <Botania:rune:8>], [<magicalcrops:3CrucioEssence>, <magicalcrops:MinicioSeeds>, <magicalcrops:3CrucioEssence>], [<Botania:rune:8>, <magicalcrops:3CrucioEssence>, <Thaumcraft:ItemShard:4>]]);